# generators

{% hint style="info" %}

#### Experimental Feature

This configuration entry is related to an Experimental (Optional) feature called Prisma Generators. Before you start to configure this section, make sure to read the page specific for this feature (accessible [here](https://prisma-util.gitbook.io/stable/optional-features/schema-improvements/prisma-generators)) and [this](https://prisma-util.gitbook.io/stable/concepts/experimental-features) page that explains how to enable Experimental Features.
{% endhint %}

### Type: [GeneratorConfig](https://prisma-util.gitbook.io/stable/api-documentation/types-and-objects/generator-config)

<details>

<summary>Versioning History</summary>

**API Version v2.0.0** - Introduced `generators` configuration option.

</details>

Define the generators that will be picked up by Prisma Util and which ones should run. To configure this behavior, add the following lines to your configuration object:

{% code title="prisma-util.config.mjs" %}

```javascript
export default {
    // Other configuration lines
    generators: {
        include: ["prisma/generators.prisma"],
        run: {
            "prisma/generators.prisma:generatorName": env("RUN_GENERATOR") == "true"
        }
    }
};
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://prisma-util.gitbook.io/stable/api-documentation/configuration-reference/generators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
